/*
 * Copyright by Intland Software
 *
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Intland Software. ("Confidential Information"). You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Intland.
 */

package com.intland.codebeamer.importer.bugzilla.dao;

import java.sql.SQLException;
import java.util.List;

import com.intland.codebeamer.importer.bugzilla.Importer;
import com.intland.codebeamer.persistence.dto.ProjectDto;
import com.intland.codebeamer.persistence.dto.TrackerDto;

/**
 * @author <a href="mailto:robert.enyedi@intland.com">Robert Enyedi</a>
 * @version $Id$
 */
public interface BugzillaDao {
	List findAllUsers(Importer importer) throws SQLException;

	List findAllProjects(Importer importer) throws SQLException;

	List findAllCategories(Importer importer, ProjectDto project) throws SQLException;

	List findAllOpSys(Importer importer, ProjectDto project) throws SQLException;

	List findAllPlatforms(Importer importer, ProjectDto project) throws SQLException;

	List findAllResolutions(Importer importer, ProjectDto project) throws SQLException;

	List findAllSeverities(Importer importer, ProjectDto project) throws SQLException;

	List findAllStatuses(Importer importer, ProjectDto project) throws SQLException;

	List findAllMilestones(Importer importer, ProjectDto project) throws SQLException;

	List findAllVersions(Importer importer, ProjectDto project) throws SQLException;

	List findAllKeywords(Importer importer, ProjectDto project) throws SQLException;

	List findAllBugsData(Importer importer, TrackerDto bugTracker) throws SQLException;

	List findAllAttachmentsForBug(Importer importer, String bugzillaId) throws SQLException;

	List findAllCommentsForBug(Importer importer, String bugzillaId) throws SQLException;

	List findAllHistoryForBug(Importer importer, String bugzillaId) throws SQLException;

	List findAllDependencies(Importer importer) throws SQLException;

	List findAllDuplicates(Importer importer) throws SQLException;
}
